Package be.fgov.ehealth.dics.protocol.v4

# Class FindNonMedicinalProductResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.dics.protocol.v4.FindNonMedicinalProductResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class FindNonMedicinalProductResponse extends StatusResponseType implements Serializable

Java class for FindNonMedicinalProductResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindNonMedicinalProductResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="NonMedicinalProduct" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultNonMedicinalProductType" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="SearchDate" use="required" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindNonMedicinalProductResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ConsultNonMedicinalProductType>`
  `getNonMedicinalProducts()`
  Gets the value of the nonMedicinalProducts property.
  `Instant`
  `getSearchDate()`
  Gets the value of the searchDate property.
  `void`
  `setSearchDate(Instant value)`
  Sets the value of the searchDate property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindNonMedicinalProductResponse

    public FindNonMedicinalProductResponse()

- ## Method Details

  - ### getNonMedicinalProducts

    public List<ConsultNonMedicinalProductType> getNonMedicinalProducts()
    Gets the value of the nonMedicinalProducts property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nonMedicinalProducts property.

    For example, to add a new item, do as follows:

         getNonMedicinalProducts().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultNonMedicinalProductType`

    Returns:
      The value of the nonMedicinalProducts property.

  - ### getSearchDate

    public Instant getSearchDate()
    Gets the value of the searchDate property.
    Returns:
      possible object is `String`

  - ### setSearchDate

    public void setSearchDate(Instant value)
    Sets the value of the searchDate property.
    Parameters:
      `value` - allowed object is `String`